## imagescan 3.62.0

=== debian/changelog ===
imagescan (3.62.0-1epson4~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 21 Jun 2020 15:01:46 -0400

imagescan (3.62.0-1epson4common) RELEASED; urgency=low

  * new upstream
    - sync rebranding patch
    - sync copyright info

 -- Kenichi Shimoura <linux-printer@epson.jp>  Mon, 18 Nov 2019 07:59:45 +0900
