=== debian/control ===
Source: imagescan
Maintainer: SEIKO EPSON CORPORATION <linux-printer@epson.jp>
Uploaders: Kenichi Shimoura <linux-printer@epson.jp>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9), pkg-config,
 libltdl-dev, libudev-dev, libusb-1.0-0-dev, libgtkmm-2.4-dev,
 libsane-dev, libjpeg-dev, libtiff-dev,
 graphicsmagick, libgraphicsmagick++-dev,
 libboost-filesystem-dev, libboost-iostreams-dev,
 libboost-program-options-dev, libboost-regex-dev,
 libboost-test-dev, libboost-thread-dev
Standards-Version: 3.9.2

Package: imagescan
Architecture: any
Depends: ${shlibs:Depends}, graphicsmagick, ${misc:Depends}
Recommends: sane-utils
Suggests: tesseract (>= 3.03)
Description: next generation image acquisition utilities
 This software provides applications to easily turn hard-copy
 documents and imagery into formats that are more amenable to
 computer processing.
 .
 Included are a native driver for a number of EPSON scanners
 and a compatibility driver to interface with software built
 around the SANE standard.

Package: imagescan-dbg
Architecture: any
Depends: imagescan (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for imagescan
 This package contains the imagescan programs and libraries compiled
 with debugging symbols.
 .
 Most people will not need this package.
